Subject: bug#66032: [PATCH] Inline advice documentation into advised function's docstring, after all

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Sep 2023 18:29:16 -0400

> Exactly that was how I learned about `help-fns-d-f-f': The obsoletion
> information currently being "misplaced" w.r.t. the advice documentation,
> which gets more pronounced when the advice documentation gets longer.

:-)

> I think anything more customizable than that would require a new
> customization group, a defcustom, etc, which is probably too much effort
> for a rather arcane feature.

We could get away without a customization group, but... agreed.

> So I will go simply for a more detailed
> output by default on `help-fns-describe-function-functions'.

Fine by me.

> Here is one minor obstacle, though: The documentation of `h-f-d-f-f'
> says:
>
>   By convention they should indent their output by 2 spaces.
>
> I think it is OK to break that convention for the advice headlines,
> which I would like to start at column zero to set them off visibly
> (and make them usable for outlining).

I think that's OK, yes.  Just make sure that the `add-hook` you use
specifies an appropriate `depth` so that the advice info always stays at
the bottom.

        Stefan